"use strict";

/* Show the TV series on screen */
function printSeries(series) {

    var container = document.getElementById("series");

    for(var i in series)
    {
        var serieLi = document.createElement("li");

        var serieFigure = document.createElement("figure");

        var seriePoster = document.createElement("img");
        seriePoster.setAttribute("src", series[i].Poster);
        serieFigure.appendChild(seriePoster);

        var seriePlot = document.createElement("figcaption");
        seriePlot.innerHTML = series[i].Plot;
        serieFigure.appendChild(seriePlot);

        serieLi.appendChild(serieFigure);

        container.appendChild(serieLi);
    }
}

/* Ask for JSON data when the DOM is ready */
document.addEventListener('DOMContentLoaded', function() {
    loadSeries(function(response) {

        // parse the read JSON
        var series = JSON.parse(response).series;

        // show the list of TV series
        printSeries(series);

    });
});

/* Read the series.json file */
function loadSeries(callback) {
    // perform the HTTP request
    var xhr = new XMLHttpRequest();
    // we want a JSON...
    xhr.overrideMimeType("application/json");
    xhr.open('GET', "series.json");

    // async request: we use a callback to process the response
    xhr.onreadystatechange = function(){
        if (xhr.readyState == 4 && xhr.status == 200) {
            callback(xhr.responseText);
        }
    };

    // send the HTTP request
    xhr.send();
}